Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos
Class SLAPolicyEvent

    java.lang.Object
      java.util.EventObject
          org.jini.rio.qos.SLAPolicyEvent

All Implemented Interfaces:
  Serializable

    public class SLAPolicyEvent

extends EventObject

SLAPolicyHandler implementations create SLAPolicyEvent objects to notify local SLAPolicyEventListener instances of actions it has taken

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SLAPolicyEvent(Object source, SLA sla, String message)` Construct a SLAPolicyEvent
`SLAPolicyEvent(Object source, SLA sla, String message, Object resultant)` Construct a SLAPolicyEvent

Method Summary
`String` | `getMessage()`
`Object` | `getResultant()`
`SLA` | `getSLA()`
`SLAThresholdEvent` | `getSLAThresholdEvent()`
`long` | `getWhen()`
`void` | `setSLAThresholdEvent(SLAThresholdEvent slaThresholdEvent)` Set the SLAThresholdEvent

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SLAPolicyEvent

    public SLAPolicyEvent(Object source,
                          SLA sla,
                          String message)

  Construct a SLAPolicyEvent

  Parameters:
    `source` - The originator of the event
    `sla` - The SLA the policy event is for
    `message` - A message detailing what action occured

### SLAPolicyEvent

    public SLAPolicyEvent(Object source,
                          SLA sla,
                          String message,
                          Object resultant)

  Construct a SLAPolicyEvent

  Parameters:
    `source` - The originator of the action
    `sla` - The SLA the policy event is for
    `message` - A message detailing what action occured
    `resultant` - An Object that was created/changed/removed as a result of an action the SLAPolicyHandler took

Method Detail

### getSLA

    public SLA getSLA()

  Returns:
    Get the SLA

### getMessage

    public String getMessage()

  Returns:
    Get the message

### getWhen

    public long getWhen()

  Returns:
    Get when the event was fired

### getResultant

    public Object getResultant()

  Returns:
    Get the resultant Object

### setSLAThresholdEvent

    public void setSLAThresholdEvent(SLAThresholdEvent slaThresholdEvent)

  Set the SLAThresholdEvent

  Parameters:
    `slaThresholdEvent` - The SLAThresholdEvent

### getSLAThresholdEvent

    public SLAThresholdEvent getSLAThresholdEvent()

  Returns:
    Get the SLAThresholdEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.